%define module_name classmate-laptop
%define module_path %{_usrsrc}/%{module_name}-%{version}-%{release}

Summary:	Classmate laptop driver
Name:		dkms-%{module_name}
Version:	0.0
Release:	%mkrel 1
License:	GPLv2+
URL:		http://kernel.org
Group:		System/Kernel and hardware
Source0:	%{module_name}.c
Source1:	Makefile
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires(pre):	dkms
Requires(post):	dkms

%description
This is a driver for the Classmate laptops, to handle hotkeys.

%prep
%setup -q -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{module_path}
cp -a %{SOURCE0} %{SOURCE1} %{buildroot}/%{module_path}
cat > %{buildroot}/%{module_path}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"
PACKAGE_NAME="%{module_name}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/platform/x86"
BUILT_MODULE_NAME[0]="%{module_name}"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
EOF

%clean
rm -rf %{buildroot}

%post
dkms add     -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove  -m %{module_name} -v %{version}-%{release} --all --rpm_safe_upgrade

%files
%defattr(-,root,root)
%{module_path}


%changelog
* Mon Aug 16 2010 Olivier Blin <oblin@mandriva.com> 0.0-1mdv2010.0
+ Revision: 570511
- initial dkms-classmate-laptop release
- Created package structure for dkms-classmate-laptop.

